# Generated from line_containing-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name line_containing

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Remove or replace a line from a file based on its content.  Look for a line with certain content, and add another line before or after it
License: MIT
URL: https://bitbucket.org/jhsu802701/line_containing
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(bundler-audit) = 0.6.0
# BuildRequires: rubygem(codecov) = 0.1.10
# BuildRequires: rubygem(gemsurance) = 0.9.0
# BuildRequires: rubygem(rspec) = 3.8.0
# BuildRequires: rubygem(rubocop) = 0.58.2
# BuildRequires: rubygem(ruby-graphviz) = 1.2.3
# BuildRequires: rubygem(sandi_meter) = 1.2.0
# BuildRequires: rubygem(simplecov) = 0.16.1
BuildArch: noarch

%description
Remove or replace a line from a file based on its content.  Look for a line
with certain content, and add another line before or after it.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/all.sh
%{gem_instdir}/bin
%{gem_instdir}/code_test.sh
%{gem_instdir}/credentials.sh
%{gem_instdir}/gem_console.sh
%{gem_instdir}/gem_install.sh
%{gem_instdir}/gem_test.sh
%{gem_instdir}/git_check.sh
%{gem_libdir}
%{gem_instdir}/upgrade_gems.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/line_containing.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.2-1
- Initial package
